import { SetupContext } from '@vue/composition-api';
import { ClassName, Styles } from '../../common';
import { TdBaseTableProps } from '../type';
import { TableRowFixedClasses, RowAndColFixedPosition, TableColFixedClasses } from '../interface';
export declare function getColumnFixedStyles(col: TdBaseTableProps['columns'][0], index: number, rowAndColFixedPosition: RowAndColFixedPosition, tableColFixedClasses: TableColFixedClasses): {
    style?: Styles;
    classes?: ClassName;
};
export declare function getRowFixedStyles(rowId: string | number, rowIndex: number, rowLength: number, fixedRows: TdBaseTableProps['fixedRows'], rowAndColFixedPosition: RowAndColFixedPosition, tableRowFixedClasses: TableRowFixedClasses): {
    style: Styles;
    classes: ClassName;
};
export default function useFixed(props: TdBaseTableProps, context: SetupContext): {
    tableWidth: import("@vue/composition-api").Ref<number>;
    tableElmWidth: import("@vue/composition-api").Ref<number>;
    thWidthList: import("@vue/composition-api").Ref<{
        [x: string]: number;
    }>;
    isFixedHeader: import("@vue/composition-api").Ref<boolean>;
    isWidthOverflow: import("@vue/composition-api").Ref<boolean>;
    tableContentRef: import("@vue/composition-api").Ref<HTMLDivElement>;
    showAffixHeader: import("@vue/composition-api").Ref<boolean>;
    showAffixFooter: import("@vue/composition-api").Ref<boolean>;
    isFixedColumn: import("@vue/composition-api").Ref<boolean>;
    showColumnShadow: {
        left: boolean;
        right: boolean;
    };
    rowAndColFixedPosition: import("@vue/composition-api").Ref<RowAndColFixedPosition>;
    virtualScrollHeaderPos: import("@vue/composition-api").Ref<{
        left: number;
        top: number;
    }>;
    affixHeaderRef: import("@vue/composition-api").Ref<HTMLDivElement>;
    affixFooterRef: import("@vue/composition-api").Ref<HTMLDivElement>;
    scrollbarWidth: import("@vue/composition-api").Ref<number>;
    refreshTable: () => void;
    updateThWidthListHandler: () => void;
    updateHeaderScroll: (target?: HTMLElement) => void;
    onTableContentScroll: (params?: {
        e: WheelEvent;
        trigger: 'tfoot' | 'tbody';
    }) => void;
    setUseFixedTableElmRef: (val: HTMLTableElement) => void;
};
